# eoStat< EOT, T > Class Template Reference

The actual class that will be used as base for all statistics that need to be calculated over the (unsorted) population It is an eoStatBase AND an eoValueParam so it can be used in Monitors. More...

`#include <eoStat.h>`

Inheritance diagram for eoStat< EOT, T >:

List of all members.

## Public Member Functions

| eoStat (T _value, std::string _description)
virtual std::string | className (void) const

## Detailed Description

### template<class EOT, class T>
class eoStat< EOT, T >

The actual class that will be used as base for all statistics that need to be calculated over the (unsorted) population It is an eoStatBase AND an eoValueParam so it can be used in Monitors.

Definition at line 58 of file eoStat.h.

The documentation for this class was generated from the following file:

- eoStat.h